home chevron_right Components
Sidebar

`fuse-sidebar` is a custom built Fuse component allows you to create a sidebar. Currently it's only used as the main navigation sidebar but in the future it will allow multiple usages.

## Usage

<fuse-sidebar [name]="'navbar'" [folded]="someSettings.isFolded" [lockedOpen]="'gt-md'"></fuse-sidebar>

## [name]

name attribute allows you to set a unique name to the sidebar. It's required for sidebar to work correctly, as every sidebar being registered to the sidebar service.

## [folded]

Controls the folded status of the sidebar.

## [lockedOpen]

Accepts Angular Material breakpoint aliases ('gt-md', 'lg' etc.) and locks open the sidebar if the alias matches the current breakpoint, similar to how Angular Material 1.x sidenav works.